## syslog-ng-1.0.5.tar.gz

=== Makefile ===
#
# Root Makefile for syslog-ng, edig src/Makefile for your changes
#
# Copyright (c) 1998 BalaBit Computing
#
# $Id: Makefile,v 1.6 1999/01/19 14:46:06 bazsi Exp $
#
#
MAKE=make

all:
	$(MAKE) -C src all

clean:
	$(MAKE) -C src clean

install:
	$(MAKE) -C src install

dist: clean
	sh makedist.sh `cat VERSION`

bindist:
	tar cvf ../syslog-ng-`cat VERSION`-`uname |sed s%/%_%`-`uname -r`.tar /usr/local/sbin/syslog-ng /usr/local/sbin/checkhash /usr/local/sbin/genh0
