=== debian/changelog ===
syslog-ng (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Balazs Scheidler <bazsi@balabit.hu>  Thu, 16 Sep 1999 11:55:57 +0200

syslog-ng (1.0-2) unstable; urgency=low

  * Cleaned up some debian build-script problems.

 -- Balazs Scheidler <bazsi@balabit.hu>  Tue, 17 Feb 1999 20:02:00 +0100

syslog-ng (1.0-1) unstable; urgency=low

  * New upstream release: 1.0 released

 -- Balazs Scheidler <bazsi@balabit.hu>  Tue, 9 Feb 1999 11:16:00 +0100

syslog-ng (0.99.24b-1) unstable; urgency=low

  * New upstream release: secret len problem fix, HUP memory leak fix 

 -- rpd Magosnyi <mag@bunuel.tii.matav.hu>  Mon, 11 Jan 1999 12:52:19 +0100

syslog-ng (0.99.4b-1) unstable; urgency=low

  * New upstream release
  * Corrected errors reported by lintian

 -- Krisztian Czako <slapic@pilatuscomp.com>  Mon,  5 Jan 1999 13:23:21 +0100

syslog-ng (0.99.3b-2) unstable; urgency=low

  * Corrected config file name to /etc/syslog-ng/syslog-ng.conf

 -- Krisztian Czako <slapic@pilatuscomp.com>  Mon,  1 Jan 1999 17:21:47 +0100

syslog-ng (0.99.3b-1) unstable; urgency=low

  * Added Debian packaging information

 -- Krisztian Czako <slapic@pilatuscomp.com>  Mon,  1 Jan 1999 17:07:21 +0100
