=== debian/control ===
Source: syslog-ng
Section: base
Priority: required
Maintainer: Balazs Scheidler <bazsi@balabit.hu>
Standards-Version: 2.4.0.0

Package: syslog-ng
Architecture: i386
Depends: ${shlibs:Depends}
Conflicts: syslogd, sysklogd
Provides: syslogd
Replaces: syslogd 
Description: New-generation system logging daemon
 This is syslog-ng, which stands for syslog-new-generation, a new,
 enhanced system logging daemon.
