=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-98   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	$(MAKE)
	touch stamp-build

clean: debclean
	rm -f stamp-build
	$(MAKE) clean
	rm -rf *~

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) -d debian/tmp/usr/doc/$(package)
	$(installbin) debian/{preinst,postinst,postrm} debian/tmp/DEBIAN/
	$(installdoc) debian/conffiles debian/tmp/DEBIAN/
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	#
	$(installdoc) src/copyright debian/tmp/usr/doc/$(package)
	$(installdoc) README debian/tmp/usr/doc/$(package)
	chmod 644 debian/tmp/usr/doc/$(package)/{copyright,README}
	chown root.root debian/tmp/usr/doc/$(package)/{copyright,README}
	gzip -9f debian/tmp/usr/doc/$(package)/{changelog.Debian,README}
	$(installdoc) doc/syslog-ng.conf.sample debian/tmp/usr/doc/$(package)
	chmod +x doc/stresstest.sh
	$(installdoc) doc/stresstest.sh debian/tmp/usr/doc/$(package)
	$(installdoc) doc/syslog-ng.sgml debian/tmp/usr/doc/$(package)
	$(installdoc) doc/protocol debian/tmp/usr/doc/$(package)
	chmod +x doc/conf-convert.pl
	$(installdoc) doc/conf-convert.pl debian/tmp/usr/doc/$(package)
	#
	$(installbin) -d debian/tmp/{usr/,}sbin
	$(installbin) -s src/syslog-ng debian/tmp/sbin
	$(installbin) -s src/genh0 debian/tmp/usr/sbin
	$(installbin) -s src/checkhash debian/tmp/usr/sbin
	#
	$(installbin) -d debian/tmp/etc/{syslog-ng,init.d,cron.{daily,weekly}}
	$(installbin) debian/rc debian/tmp/etc/init.d/syslog-ng
	$(installbin) debian/cron.weekly debian/tmp/etc/cron.weekly/syslog-ng
	$(installbin) debian/cron.daily debian/tmp/etc/cron.daily/syslog-ng
	$(installdoc) debian/syslog-ng.conf debian/tmp/etc/syslog-ng/syslog-ng.conf
	$(installbin) -d debian/tmp/var/log
	#
	$(installbin) -d debian/tmp/usr/man/man{5,8}
	$(installdoc) doc/syslog-ng.conf.5 debian/tmp/usr/man/man5
	$(installdoc) doc/syslog-ng.8 debian/tmp/usr/man/man8
	gzip -9 debian/tmp/usr/man/man?/*
	#
	dpkg-shlibdeps debian/tmp/{sbin/syslog-ng,usr/sbin/genh0,usr/sbin/checkhash}
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
